ata_force_spd_limit
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_force_spd_limit — force SATA spd limit according to libata.force

## Synopsis

`void ata_force_spd_limit (` | struct ata_link * | link`)`;

## Arguments

`link`

  ATA link of interest

## Description

Force SATA spd limit according to libata.force and whine about it. When only the port part is specified (e.g. 1:), the limit applies to all links connected to both the host link and all fan-out ports connected via PMP. If the device part is specified as 0 (e.g. 1.00:), it specifies the first fan-out link not the host link. Device number 15 always points to the host link whether PMP is attached or not.

## LOCKING

EH context.

Prev | Up | Next
ata_force_cbl | Home | ata_force_xfermask